document.addEventListener('DOMContentLoaded', function() {
  const chatInput = document.querySelector('.chat-input input');
  const chatButton = document.querySelector('.chat-input button');
  const chatHistory = document.querySelector('.chat-history');

  chatButton.addEventListener('click', sendMessage);
  chatInput.addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
      sendMessage();
    }
  });

  function sendMessage() {
    const message = chatInput.value.trim();
    if (message) {
      addMessageToChat('user', message);
      chatInput.value = '';
      // Simulate AI response
      setTimeout(() => {
        addMessageToChat('ai', 'This is a simulated AI response.');
      }, 1000);
    }
  }

  function addMessageToChat(sender, message) {
    const messageDiv = document.createElement('div');
    messageDiv.classList.add('chat-message', sender);
    messageDiv.textContent = message;
    chatHistory.appendChild(messageDiv);
    chatHistory.scrollTop = chatHistory.scrollHeight;
  }
});